Viewing 30 posts - 1 through 30 (of 66 total)
  • Author
    Posts
  • #919775

    I updated my theme to 4.2.5 and my site went blank. What gives? I’m dead in the water here…

    #919788

    Hey,

    Same problem here, but not on every website : most of them are ok, but on two specifically, I got a blank site. I managed to get back to a 4.2.1, which olved temporarily the problem (by the way, any idea where I could get 4.2.4, because it was working for that version too.).
    When I put on the debug mode, here is what I got :

    Fatal error: Uncaught Error: Cannot use object of type WP_Error as array in /srv/paindexdata/lepaindex/html/wp-content/themes/enfold/config-templatebuilder/avia-template-builder/php/asset-manager.class.php:265 Stack trace: #0 /srv/paindexdata/lepaindex/html/wp-content/themes/enfold/config-templatebuilder/avia-template-builder/php/asset-manager.class.php(99): aviaAssetManager->generate_file(‘css’, Array, Object(WP_Styles)) #1 /srv/paindexdata/lepaindex/html/wp-content/themes/enfold/config-templatebuilder/avia-template-builder/php/asset-manager.class.php(65): aviaAssetManager->merge(‘css’, ‘avia-merged-sty…’) #2 /srv/paindexdata/lepaindex/html/wp-includes/class-wp-hook.php(286): aviaAssetManager->try_minifying_scripts(”) #3 /srv/paindexdata/lepaindex/html/wp-includes/class-wp-hook.php(310): WP_Hook->apply_filters(NULL, Array) #4 /srv/paindexdata/lepaindex/html/wp-includes/plugin.php(453): WP_Hook->do_action(Array) #5 /srv/paindexdata/lepaindex/html/wp-includes/script-loader.php(1435): do_action(‘wp_enqueue_scri…’) #6 / in /srv/paindexdata/lepaindex/html/wp-content/themes/enfold/config-templatebuilder/avia-template-builder/php/asset-manager.class.php on line 265

    I tried to update the theme from WordPress and directly through FTP, with the same results. Any idea what might cause this – particularly on some servers and not others ?

    #919789

    I have the same problem …….

    #919790

    I wonder if it might be linked to that (from the changelog) :
    – improved: script and css loading for several template builder elements (work in progress, more will be added soon after further testing)

    Maybe the changes don’t agree with every server structure ?

    #919798

    The best I could do was to roil back to 4.2.2. I was running 4.2.4 as well.

    #919799

    Same problem here. I’m getting a nearly identical debug log. I’m running IIS 8 and PHP 7.

    #919800

    Here are a few more elements, so hopefully we can solve this quickly : I copied (see private) the server config reports for two site, one that works, the other that doesn’t.

    #919809

    @jaimbateman cant see the content. Would be great if you could share it with the public…..

    #919812

    We are seeing an error as well.

    Fatal error: Cannot redeclare av_countdown_events_fallback() (previously declared in /home/XXXX/public_html/wp-content/themes/enfold/config-templatebuilder/avia-shortcodes/events_countdown.php:14) in /home/XXXX/public_html/wp-content/themes/enfold/config-templatebuilder/avia-shortcodes/events_countdown/events_countdown.php on line 12

    #919816

    I guess nothing in there is really that private…

    Here we go :

    Woocommerce state report :

    Site that doesn’t work :
    Environnement serveur
    Info serveur: Apache/2.4.25 (Debian)
    Version PHP: 7.0.27-0+deb9u1
    Poids Max Post PHP: 8 MB
    Limite d’exécution PHP: 0
    PHP Max Input Vars: 1000
    Version de cURL: 7.52.1, OpenSSL/1.0.2l
    SUHOSIN installé: –
    Taille maximale de téléversement: 2 MB
    Le fuseau horaire par défaut est UTC:
    fsockopen/cURL:
    SoapClient: Votre serveur n’a pas la classe SoapClient activée – certaines extensions de passerelle utilisant SOAP peuvent ne pas fonctionner correctement.
    DOMDocument:
    GZip:
    Chaînes multi-octets:
    Remote post:
    Remote get:

    Site that works :
    Environnement serveur
    Info serveur: Apache
    Version PHP: 5.6.33
    Poids Max Post PHP: 130 MB
    Limite d’exécution PHP: 600
    PHP Max Input Vars: 16000
    Version de cURL: 7.38.0, OpenSSL/1.0.1t
    SUHOSIN installé: –
    Version MySQL: 5.5.55 – Nous recommandons MySQL version 5.6 minimum. Voir : Exigences de WordPress
    Taille maximale de téléversement: 128 MB
    Le fuseau horaire par défaut est UTC:
    fsockopen/cURL:
    SoapClient:
    DOMDocument:
    GZip:
    Chaînes multi-octets:
    Remote post:
    Remote get:

    #919817

    Sorry, further notice : what has nothing beside it (like remote post) is installed and running.

    #919818

    We are getting a simillar error on a clean install of wp. Fatal error: Cannot use object of type WP_Error as array in /home/customgranite/public_html/wp-content/themes/enfold/config-templatebuilder/avia-template-builder/php/asset-manager.class.php on line 265

    Our server is running:
    -linux based
    -php 5.6

    Will be using a previous version of enfold until these issues are sorted out. Where can we find the downloads for previous versions?

    • This reply was modified 1 year, 6 months ago by  SCDeveloper. Reason: Was not able to get a stable copy of enfold
    #919819

    Also, bear in mind that everything use to work perfectly under 4.2.4, with exactly the same server configuration.

    #919820

    Can someone from the support team please fix this issue? Thats not acceptable to let people alone because it is a bug of your software, guys….

    #919824

    Ok, scratch that : even the website that are not blank are not working as intended : icons are messed up, portfolio gallery do not work in AJAX mode anymore…

    Please, can we get a link to at least download 4.2.4 ? This is getting too messy.

    #919837

    Sorry again, after re-updating the theme on the sites that previously seemed to be working, it is okay again. So 4.2.5 can work in some cases.

    But the issue still stands for the websites that became blank after the update.

    #919841

    Manually installed a fresh 4.2.5 on my site. Apache, PHP 7.1. No go. Still returning blank pages. 4.2.2 works fine.

    #920048

    Enfold Support team — can you comment on this thread? Should everyone hold off on updating until the bugs are resolved? (My cautious self always come into the support boards before I update — but this one is unusual — Enfold is a wonderful theme and Kriesi and staff are amazing, so?? Did someone actually go on vacation?)

    Will wait to update client sites until you issue a updated version!

    Cheers!

    #920087

    Hi,

    Updates breaking customer site happens on every update, there is a very simple solution to not having to panic because your production site is down though: update on a staging version of the site first!!. We will investigate this further of course, but that is simplest way of not having to deal with broken production sites.

    Everyone in this thread who is not @mmaack; please open new threads and include admin login details to your sites in private so that we can have a closer look and help you out individually.

    @mmaack: if you want to downgrade to 4.2.4 then you can find the files in private.

    Best regards,
    Rikard

    #920216

    I also need to downgrade to 4.2.4. Can you send me the link, too?

    Thanks

    #920228

    I created a new thread for my case as suggested by Rikard, but I do want to point out that we are not idiots : I did try the update on staging sites first, and it worked. It didn’t on the production sites, which is why I think it is a server problem (the only difference between staging and production, at that point, are a couple of css rules, a function to change the wp_mail sender address, and the CF7 Invisible Recaptacha plugin – and it is not the plugin that is causing crashes.)

    #920229

    Oh, and obviously, the staging sites and the production sites are not hosted by the same provider, which is, again, why I think it probably is a server configuration issue.

    #920320

    Same problem… how do I downgrade to 4.2.4?

    #920329

    Hi mmaack,

    Try deleting ‘enfold’ folder from the theme folder.
    Then download the latest version and upload it.

    Had the same problem on several pages, it solved the problem, as it was not enough just to overwrite the files.

    (Remember to make a backup of ‘enfold’ folder if you have made changes – if you are using a child theme, it is not necessary to make a backup of ‘enfold’..)

    Regards Pete

    • This reply was modified 1 year, 6 months ago by  2funky.
    #920334

    I don’t know about mmaack, but I did try to delete and reinstall – no dice.

    #920345

    Can someone provide me a link for downloading an older version of Enfold?

    #920375

    I did the full folder delete yesterday, and reinstall Enfold, and still a blank homepage. I will open a new thread now.

    #920381

    Same for me mwaxman1 :-( New thread started but not much luck there either.

    #920436

    I solved the problem. First of all i made a backup of my non-working website and the database. I called the wp-admin of my wordpress site. I was then able to go to the enfold theme and to export the configuration. For exporting the theme settings there is a separate menu point in the enfold theme. In the backend i set another theme for my website in order to be able to uninstall the “enfold” theme. Next step was to install an older version of enfold and to import my prior exported enfold-configuration file. Everything worked then fine. However i am a bit disappointed that the support staff is treating this issue as normal because it is obviously a faulty theme update of kriesi. Someone of the software developers were programming the code bad so that plenty of sites were down. I am also disappointed that i am not getting the support for what i am paying for because they did not publish any step by step guide to reset the update. i found my own solution for this issue. Thanks for nothing kriesi

    #920480

    Can anyone send me a link to 4.2.4? I have the same issue on my site. Logged several hours ago, but other people who have logged the same issue after me are getting seen to first.

Viewing 30 posts - 1 through 30 (of 66 total)

You must be logged in to reply to this topic.